cdac.medinfo.sdk.hl7282.utils

## Class HL7Config

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.utils.HL7Config

-     public class HL7Config
      extends java.lang.Object

  This class sets the Configuration of HL7 Library.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HL7Config` | `createInstance()` Constructs instance of HL7Config
    `static HL7Config` | `createInstance(EnumLogMode enumLogMode, EnumLocale enumLocale)` Constructs instance of HL7Config for specified logmode and locale
    `void` | `disableLogging()` Sets logging mode as OFF.
    `void` | `enableLogging()` Sets logging mode as ON.
    `void` | `enableLogging(java.lang.String strLogLocation)` Sets logging mode as ON.
    `java.lang.String` | `getLocale()` Retrieves Locale property
    `boolean` | `isLoggingOn()` Retrieves whether logging mode is on.
    `void` | `setLocale(EnumLocale enumLocale)` Sets Locale Property

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createInstance

          public static HL7Config createInstance()

      Constructs instance of HL7Config
      Returns:
        instance of HL7Config class

    - #### createInstance

          public static HL7Config createInstance(EnumLogMode enumLogMode,
                                 EnumLocale enumLocale)

      Constructs instance of HL7Config for specified logmode and locale
      Parameters:
        `enumLogMode` - enum represents logging mode
        `enumLocale` - enum specify locale specific information.
      Returns:
        HL7Config - instance of HL7Config class for specified logmode and locale

    - #### isLoggingOn

          public boolean isLoggingOn()

      Retrieves whether logging mode is on.
      Returns:
        isLoggerDebugOn - boolean value indicating whether debug mode is.

    - #### enableLogging

          public void enableLogging()

      Sets logging mode as ON. If the user enables logging then data is logged into log file.

    - #### enableLogging

          public void enableLogging(java.lang.String strLogLocation)

      Sets logging mode as ON. If the user enables logging then data is logged into log file.
      Parameters:
        `strLogLocation` - Path of file in which logging is done.

    - #### disableLogging

          public void disableLogging()

      Sets logging mode as OFF. If the user dissables logging mode then data is not logged into log file.

    - #### getLocale

          public java.lang.String getLocale()

      Retrieves Locale property
      Returns:
        String - Locale used in string

    - #### setLocale

          public void setLocale(EnumLocale enumLocale)

      Sets Locale Property
      Parameters:
        `enumLocale` - specifies locale specific information.